Why does Youtube keep saying i need to upgrade to a modern browser when i’m already using one?

I’m using Internet Explorer 8 at the moment, but Youtube keeps saying i’m using an outdated browser and need to upgrade to a modern one. Then it lists some options, including Internet Explorer 8, the very browser i’m using at this moment. So why do i keep getting this message?

2 thoughts on “Why does Youtube keep saying i need to upgrade to a modern browser when i’m already using one?

  1. Well it probably means that you either don’t have it configured correctly or that you’re running an out of date or corrupt add on. Or else your firewall is blocking stuff that it shouldn’t be blocking.
    Or you might even have updates for IE 8 missing.

Leave a Reply

Your email address will not be published.